r2627 - jhalfs/trunk/common

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Wed May 3 12:17:31 PDT 2006


Author: manuel
Date: 2006-05-03 13:17:30 -0600 (Wed, 03 May 2006)
New Revision: 2627

Modified:
   jhalfs/trunk/common/common-functions
Log:
Removed old download POC code.

Modified: jhalfs/trunk/common/common-functions
===================================================================
--- jhalfs/trunk/common/common-functions	2006-05-03 17:28:04 UTC (rev 2626)
+++ jhalfs/trunk/common/common-functions	2006-05-03 19:17:30 UTC (rev 2627)
@@ -639,8 +639,8 @@
 
   gs_wrt_message(){
     echo "${RED}$1${OFF}"
-    echo "$1" >> MISSING_FILES.DMP    
-  }  
+    echo "$1" >> MISSING_FILES.DMP
+  }
     # Housekeeping
   [[ ! -d $BUILDDIR/sources ]] && mkdir $BUILDDIR/sources
   cd $BUILDDIR/sources
@@ -686,7 +686,7 @@
     fi
 
     set -e
-      # If the file exists in the archive copy it to the 
+      # If the file exists in the archive copy it to the
       # $BUILDDIR/sources dir. MD5SUM will be validated later.
     if [ ! -z ${SRC_ARCHIVE} ] &&
        [   -d ${SRC_ARCHIVE} ] &&
@@ -700,8 +700,8 @@
       # If the file does not exist in /sources download a fresh one
       if [ ! -f $FILE ] ; then
         if ! wget $URL1 && ! wget $URL2 ; then
-          gs_wrt_message "$FILE not found in the SRC_ARCHIVE or on any server..SKIPPING" 
-          continue 
+          gs_wrt_message "$FILE not found in the SRC_ARCHIVE or on any server..SKIPPING"
+          continue
         fi
       fi
     fi
@@ -714,7 +714,7 @@
         [[ $fromARCHIVE = "0" ]] && echo "${BOLD}${YELLOW}MD5SUM did not match REMOTE copy${OFF}"
           # Remove the old file and download a new one
         rm -fv $FILE
-          # Force generation of MD5SUM and storage in SRC_ARCHIVE 
+          # Force generation of MD5SUM and storage in SRC_ARCHIVE
         fromARCHIVE=0; HAVEMD5=0
           # Try and retrieve the file
         if ! wget -N $URL1 && ! wget -N $URL2 ; then
@@ -732,7 +732,7 @@
       # Generate a fresh MD5SUM for this file
     if [[ "$HAVEMD5" = "0" ]] ; then
       echo "${BOLD}${YELLOW}Generating a new MD5SUM for ${OFF}$FILE"
-      echo "NEW MD5SUM $(md5sum $FILE)" >> MISSING_FILES.DMP    
+      echo "NEW MD5SUM $(md5sum $FILE)" >> MISSING_FILES.DMP
     fi
 
       # Good or bad we write the original md5sum to a file
@@ -759,102 +759,7 @@
 }
 
 
-
 #----------------------------#
-get_sourcesX() {              # Download file, write name to MISSING_FILES.DMP if an error
-#----------------------------#
-  local saveIFS=$IFS
-  local IFS line URL1 URL2 FILE MD5 NOMD5
-
-  # Test if the packages must be downloaded
-  if [ "$GETPKG" = "1" ] ; then
-
-    [[ ! -d $BUILDDIR/sources ]] && mkdir $BUILDDIR/sources
-    cd $BUILDDIR/sources
-    [[ -f MD5SUMS ]] && rm MD5SUMS
-    [[ -f MD5SUMS-$VERSION ]] && rm MD5SUMS-$VERSION
-    [[ -f MISSING_FILES.DMP ]] && rm MISSING_FILES.DMP
-    [[ -f urls.lst ]] && rm urls.lst
-
-    # Download a fresh MD5SUMS file
-    wget $SERVER/pub/lfs/conglomeration/MD5SUMS
-
-    # Generate URLs file
-    create_urls
-
-    IFS=$'\x0A'  # Modify the 'internal field separator' to break on 'LF' only
-    for line in `cat urls.lst`; do
-      IFS=$saveIFS  # Restore the system defaults
-
-      # Skip some packages if they aren't needed
-      case $line in
-        */tcl* | */expect* | */dejagnu* | */tree* | */gcc-testsuite* )
-            [[ "$TEST" = "0" ]] && continue
-          ;;
-        */vim-*-lang* )
-            [[ "$VIMLANG" = "0" ]] && continue
-          ;;
-      esac
-
-      URL1=`echo $line | cut -d" " -f1` # Upstream URL
-      URL2=`echo $line | cut -d" " -f2` # Fallback URL
-      FILE=`basename $URL2` # File name
-
-      # If the file exists in the archive copy it to the $BUILDDIR/sources dir
-      # MD5SUM is assumed to be correct from previous download
-      if [ ! -z ${SRC_ARCHIVE} ] &&
-         [ -d ${SRC_ARCHIVE} ] &&
-         [ -f ${SRC_ARCHIVE}/$FILE ]; then
-        cp ${SRC_ARCHIVE}/$FILE .
-        echo "$FILE: -- copied from $SRC_ARCHIVE" && continue
-      fi
-
-      # Find the md5 sum for this package.
-      set +e
-      MD5=`grep "  $FILE" MD5SUMS`
-      if [ $? -ne 0 ]; then
-        set -e
-        echo "${RED}$FILE not found in MD5SUMS${OFF}"
-        echo "$FILE not found in MD5SUMS" >> MISSING_FILES.DMP
-        NOMD5=1
-      fi
-      set -e
-
-      if [ ! -f $FILE ] ; then
-        wget $URL1 || wget $URL2 || (echo "${RED}$FILE not found on the servers${OFF}" &&
-                                     echo "$FILE not found on the servers" >> MISSING_FILES.DMP )
-      elif [[ "$NOMD5" != "1" ]] && ! echo "$MD5" | md5sum -c - ; then
-        wget -N $URL1 || wget -N $URL2 || ( echo "${RED}$FILE not found on the servers${OFF}" &&
-                                            echo "$FILE not found on the servers" >> MISSING_FILES.DMP )
-      fi
-
-      if [[ "$NOMD5" != "1" ]] && ! echo "$MD5" | md5sum -c - ; then
-        echo "${RED}$FILE not match MD5SUMS value${OFF}"
-        echo "$FILE not match MD5SUMS value" >> MISSING_FILES.DMP
-      fi
-      echo `grep "$MD5" MD5SUMS` >> MD5SUMS-$VERSION
-
-      # Copy the freshly downloaded file
-      # to the source archive.
-      if [ ! -z ${SRC_ARCHIVE} ] &&
-         [ -d ${SRC_ARCHIVE} ] &&
-         [ -w ${SRC_ARCHIVE} ] &&
-         [ ! -f ${SRC_ARCHIVE}/$FILE ] ; then
-        echo "Store file:<$FILE> in package archive"
-        cp -v $FILE ${SRC_ARCHIVE}
-      fi
-
-    done
-
-    if [[ -s MISSING_FILES.DMP ]]; then
-      echo  -e "\n\n${tab_}${RED} One or more files were not retrieved or have a bad MD5SUMS chechsum.\n${tab_} Check ${L_arrow}$BUILDDIR/sources/MISSING_FILES.DMP${R_arrow} for names ${OFF}\n\n"
-    fi
-
-  fi
-}
-
-
-#----------------------------#
 create_urls() {              #
 #----------------------------#
   cd $JHALFSDIR




More information about the alfs-log mailing list